Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044770
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-08-07 11:032020-09-08 10:45
ReporteravicenteView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044770: In backend, all data are shown by default in subtabs with Lazy filtering configured

DescriptionLazy filtering does not work correctly when it is configured for a subtab. When the subtad is open, all data is shown. See video

https://drive.google.com/file/d/1TngUfX5JGy5NGvc9ILiRATYO758WEv-6/view [^]
Steps To ReproduceSee video
https://drive.google.com/file/d/1TngUfX5JGy5NGvc9ILiRATYO758WEv-6/view [^]
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044921 closedcberner Adding a column in the grid view to a view when there is a Lazy Filter launches the search 
related to defect 0045853 closedcberner In backend, all data are shown by default in subtabs with Lazy filtering configured 

-  Notes
(0122436)
rafaroda (developer)
2020-08-28 15:56

See also related 0044921
(0122442)
hgbot (developer)
2020-08-29 11:35

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/129 [^]
(0122784)
hgbot (developer)
2020-09-08 10:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 6cf051d3401fb8c03c4f536b6d4290afa0048115
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2020-09-08T08:44:39+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/6cf051d3401fb8c03c4f536b6d4290afa0048115 [^]

Fixes ISSUE-44770: Dont auto refresh child tab if it has lazy filtering

In the function doRefreshContents, take into account if the current view has lazy filtering enabled,
and if so only refresh if the forceRefresh parameter is true.

Also modify resetEmptyMessage to make sure the proper empty message is shown in the grid in this case.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0122785)
hgbot (developer)
2020-09-08 10:45

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/129 [^]

- Issue History
Date Modified Username Field Change
2020-08-07 11:03 avicente New Issue
2020-08-07 11:03 avicente Assigned To => platform
2020-08-07 11:03 avicente Modules => Core
2020-08-07 11:03 avicente Triggers an Emergency Pack => No
2020-08-07 11:16 rafaroda Tag Attached: NOR
2020-08-27 15:40 AugustoMauch Assigned To platform => AugustoMauch
2020-08-28 15:56 rafaroda Note Added: 0122436
2020-08-28 15:56 rafaroda Relationship added related to 0044921
2020-08-29 11:35 hgbot Note Added: 0122442
2020-08-29 11:35 AugustoMauch Status new => scheduled
2020-09-07 07:58 alostale Tag Attached: Performance
2020-09-07 07:58 alostale Tag Detached: Performance
2020-09-08 10:45 hgbot Resolution open => fixed
2020-09-08 10:45 hgbot Status scheduled => closed
2020-09-08 10:45 hgbot Fixed in Version => PR20Q4
2020-09-08 10:45 hgbot Note Added: 0122784
2020-09-08 10:45 hgbot Note Added: 0122785
2021-02-04 14:13 avicente Relationship added related to 0045853


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker